<?php

namespace console\controllers;

use Yii;
use \yii\console\Controller;
use \yii\helpers\Console;
use \common\components\Maintenance;


class MaintenanceController extends Controller
{

    public function actionBackupDatabase()
    {
		$tmpfname = tempnam(sys_get_temp_dir(), 'FOO'); // good 
    	$obj = new Maintenance();
		$ret = $obj->launchBackup('trash_yii', 'trash_yii', 'trash_yii', $tmpfname);

		if($ret['exitCode'] == 0)
		{
	        $this->stdOut("OK\n");        
	        $this->stdOut(sprintf("Backup successfully stored in: %s\n", $tmpfname));        
		}
		else
		{
	        $this->stdOut("ERR\n");        
		}
        
        // equivalent to return 0;
        return $ret['exitCode'];
    }
	
    public function actionBackupDatabaseAndSendEmail()
    {
		$tmpfname = tempnam(sys_get_temp_dir(), 'FOO'); // good 
    	$obj = new Maintenance();
		$ret = $obj->launchBackup('trash_yii', 'trash_yii', 'trash_yii', $tmpfname);

		$emailAttachment = null;
		if($ret['exitCode'] == 0)
		{
	        $this->stdOut("OK\n");        
	        $this->stdOut(sprintf("Backup successfully stored in: %s\n", $tmpfname));
			
	        $textEmail = 'Backup database successful! Find it in attachment';
			$emailAttachment = $tmpfname;
		}
		else
		{
	        $this->stdOut("ERR\n");
			        
	        $textEmail = 'Error in backup database! Check it!';
		}
		
		$emailMsg = Yii::$app->mailer->compose()
		    ->setFrom('negus@negusweb.it')
		    ->setTo('negus@negusweb.it')
		    ->setSubject('Backup database')
		    ->setTextBody($textEmail);
			
		if($emailAttachment!=null) $emailMsg->attach($emailAttachment, ['fileName' => 'backup_db.sql']);
		$emailMsg->send();			
        
        // equivalent to return 0;
        return $ret['exitCode'];
    }	
    
}

?>